VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Digital Plotter"
   ClientHeight    =   4545
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8820
   LinkTopic       =   "Form1"
   ScaleHeight     =   4545
   ScaleWidth      =   8820
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check2 
      Caption         =   "COM2"
      Height          =   255
      Left            =   1560
      TabIndex        =   9
      Top             =   3960
      Value           =   1  'Checked
      Width           =   855
   End
   Begin VB.CheckBox Check1 
      Caption         =   "COM1"
      Height          =   255
      Left            =   480
      TabIndex        =   8
      Top             =   3960
      Width           =   855
   End
   Begin VB.OptionButton Option5 
      Caption         =   "1ms/div"
      Height          =   255
      Left            =   7560
      TabIndex        =   7
      Top             =   3960
      Width           =   1095
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      LargeChange     =   100
      Left            =   2160
      Max             =   5000
      TabIndex        =   6
      Top             =   3360
      Width           =   4935
   End
   Begin VB.OptionButton Option4 
      Caption         =   "2ms/div"
      Height          =   495
      Left            =   6240
      TabIndex        =   5
      Top             =   3840
      Width           =   1215
   End
   Begin VB.OptionButton Option3 
      Caption         =   "5ms/div"
      Height          =   495
      Left            =   4920
      TabIndex        =   4
      Top             =   3840
      Width           =   1095
   End
   Begin VB.OptionButton Option2 
      Caption         =   "10ms/div"
      Height          =   255
      Left            =   3720
      TabIndex        =   3
      Top             =   3960
      Width           =   1095
   End
   Begin VB.OptionButton Option1 
      Caption         =   "20ms/div"
      Height          =   255
      Left            =   2640
      TabIndex        =   2
      Top             =   3960
      Value           =   -1  'True
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Height          =   375
      Left            =   480
      TabIndex        =   1
      Top             =   3360
      Width           =   1095
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000E&
      Height          =   2775
      Left            =   600
      ScaleHeight     =   181
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   533
      TabIndex        =   0
      Top             =   240
      Width           =   8055
   End
   Begin VB.Label Label4 
      Caption         =   "DCD"
      Height          =   495
      Left            =   120
      TabIndex        =   13
      Top             =   2400
      Width           =   495
   End
   Begin VB.Label Label3 
      Caption         =   "DSR"
      Height          =   255
      Left            =   120
      TabIndex        =   12
      Top             =   1800
      Width           =   495
   End
   Begin VB.Label Label2 
      Caption         =   "CTS"
      Height          =   255
      Left            =   120
      TabIndex        =   11
      Top             =   1200
      Width           =   375
   End
   Begin VB.Label Label1 
      Caption         =   "RI"
      Height          =   255
      Left            =   240
      TabIndex        =   10
      Top             =   600
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Dat(13000) As Integer
  Dim Sf
  Dim Sp
 
Private Sub Command1_Click()
  RealTime (True)
  TimeInit
  For n = 1 To 13000
    Dat(n) = Inputs
    While TimeRead < (n * 0.02)
    Wend
  Next n
  RealTime (False)
  Plot
End Sub

Private Sub Plot()
  Picture1.Cls
    For n = 1 To 10
      Picture1.Line (n * 50, 0)-(n * 50, 200), &HFF00&
    Next n
    For n = 1 To 550
    X1 = n
    X2 = n + 1
    Y1 = 40 - 20 * (Dat(Sp + n * Sf) And 4) / 4
    Y2 = 40 - 20 * (Dat(Sp + (n + 1) * Sf) And 4) / 4
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  
    Y1 = 80 - 20 * (Dat(Sp + n * Sf) And 1)
    Y2 = 80 - 20 * (Dat(Sp + (n + 1) * Sf) And 1)
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
    
    Y1 = 120 - 20 * (Dat(Sp + n * Sf) And 2) / 2
    Y2 = 120 - 20 * (Dat(Sp + (n + 1) * Sf) And 2) / 2
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  
    Y1 = 160 - 20 * (Dat(Sp + n * Sf) And 8) / 8
    Y2 = 160 - 20 * (Dat(Sp + (n + 1) * Sf) And 8) / 8
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  Next n
End Sub

Private Sub Form_Load()
 i = OPENCOM("COM2")
 If i = 0 Then
    i = OPENCOM("COM1")
    Check1.Value = 1
    Check2.Value = 0
 End If
 If i = 0 Then MsgBox ("COM Interface Error")
 DTR 1
 RTS 1
 Sf = 20
 Sp = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
  CLOSECOM
End Sub

Private Sub HScroll1_Change()
  Picture1.Cls

  Sp = HScroll1.Value
  If (Sp + 500 * Sf > 11000) Then Sp = 0
  Plot
End Sub

Private Sub Option1_Click()
  Sf = 20
  HScroll1.Max = 1000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option2_Click()
  Sf = 10
  HScroll1.Max = 5000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option3_Click()
  Sf = 5
  HScroll1.Max = 8000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option4_Click()
  Sf = 2
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option5_Click()
  Sf = 1
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub
Private Sub Check2_Click()
 If Check2.Value = 1 Then
   CLOSECOM
   i = OPENCOM("COM2")
   If i = 0 Then
     MsgBox ("COM2 not available")
     Check2.Value = 0
   End If
   RTS 1
   DTR 1
   Check1.Value = 0
 End If
End Sub
Private Sub Check1_Click()
 If Check1.Value = 1 Then
   CLOSECOM
   i = OPENCOM("COM1")
   If i = 0 Then
     MsgBox ("COM1 not available")
     Check1.Value = 0
   End If
   RTS 1
   DTR 1
   Check2.Value = 0
 End If
End Sub

