VERSION 5.00
Begin VB.Form UniScope 
   Caption         =   "Universal Interface Scope"
   ClientHeight    =   5730
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8520
   LinkTopic       =   "Form1"
   ScaleHeight     =   5730
   ScaleWidth      =   8520
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check2 
      Caption         =   "COM2"
      Height          =   255
      Left            =   1320
      TabIndex        =   9
      Top             =   5160
      Value           =   1  'Checked
      Width           =   855
   End
   Begin VB.CheckBox Check1 
      Caption         =   "COM1"
      Height          =   255
      Left            =   360
      TabIndex        =   8
      Top             =   5160
      Width           =   855
   End
   Begin VB.OptionButton Option5 
      Caption         =   "10ms/div"
      Height          =   255
      Left            =   7080
      TabIndex        =   7
      Top             =   5160
      Width           =   1095
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      LargeChange     =   100
      Left            =   2160
      Max             =   5000
      TabIndex        =   6
      Top             =   4560
      Width           =   4935
   End
   Begin VB.OptionButton Option4 
      Caption         =   "20ms/div"
      Height          =   495
      Left            =   5880
      TabIndex        =   5
      Top             =   5040
      Width           =   1215
   End
   Begin VB.OptionButton Option3 
      Caption         =   "50ms/div"
      Height          =   495
      Left            =   4680
      TabIndex        =   4
      Top             =   5040
      Width           =   1095
   End
   Begin VB.OptionButton Option2 
      Caption         =   "100ms/div"
      Height          =   255
      Left            =   3480
      TabIndex        =   3
      Top             =   5160
      Width           =   1095
   End
   Begin VB.OptionButton Option1 
      Caption         =   "200ms/div"
      Height          =   255
      Left            =   2280
      TabIndex        =   2
      Top             =   5160
      Value           =   -1  'True
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   4560
      Width           =   1095
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H8000000E&
      Height          =   3975
      Left            =   240
      ScaleHeight     =   261
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   533
      TabIndex        =   0
      Top             =   240
      Width           =   8055
   End
End
Attribute VB_Name = "UniScope"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
  Dim Ch1(13000) As Integer
  Dim Sf
  Dim Sp
 
Private Sub Plot()
  Picture1.Cls
    For n = 1 To 10
      Picture1.Line (n * 50, 0)-(n * 50, 260), &HFF00&
    Next n
    For n = 1 To 550
    X1 = n
    X2 = n + 1
    Y1 = 256 - Ch1(Sp + n * Sf)
    Y2 = 256 - Ch1(Sp + (n + 1) * Sf)
    Picture1.Line (X1, Y1)-(X2, Y1)
    Picture1.Line (X2, Y1)-(X2, Y2)
  Next n
End Sub
Function AD()
  RTS 1
  Delay 0.01
  RTS 0
  Value! = 0
  Value! = Value! + DSR * 128
  DTR 1
  DTR 0
  Value! = Value! + DSR * 64
  DTR 1
  DTR 0
  Value! = Value! + DSR * 32
  DTR 1
  DTR 0
  Value! = Value! + DSR * 16
  DTR 1
  DTR 0
  Value! = Value! + DSR * 8
  DTR 1
  DTR 0
  Value! = Value! + DSR * 4
  DTR 1
  DTR 0
  Value! = Value! + DSR * 2
  DTR 1
  DTR 0
  Value! = Value! + DSR
  DTR 1
  DTR 0
  AD = Value
End Function

Private Sub Command1_Click()
  RealTime (True)
  TimeInit
  Dummy = AD
  For n = 1 To 13000
    Ch1(n) = AD
    While TimeRead < (n * 0.2)
    Wend
  Next n
  RealTime (False)
  Plot
 End Sub
Private Sub Form_Load()
 i = OPENCOM("COM2")
 If i = 0 Then
    i = OPENCOM("COM1")
    Check1.Value = 1
    Check2.Value = 0
 End If
 If i = 0 Then MsgBox ("COM Interface Error")
 DTR 0
 RTS 0
 Sf = 20
 Sp = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
  CLOSECOM
End Sub

Private Sub Check2_Click()
 If Check2.Value = 1 Then
   CLOSECOM
   i = OPENCOM("COM2")
   If i = 0 Then
     MsgBox ("COM2 not available")
     Check2.Value = 0
   End If
   RTS 0
   DTR 0
   Check1.Value = 0
 End If
End Sub
Private Sub Check1_Click()
 If Check1.Value = 1 Then
   CLOSECOM
   i = OPENCOM("COM1")
   If i = 0 Then
     MsgBox ("COM1 not available")
     Check1.Value = 0
   End If
   RTS 0
   DTR 0
   Check2.Value = 0
 End If
End Sub

Private Sub HScroll1_Change()
  Picture1.Cls
  Sp = HScroll1.Value
  If (Sp + 500 * Sf > 11000) Then Sp = 0
  Plot
End Sub

Private Sub Option1_Click()
  Sf = 20
  HScroll1.Max = 1000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option2_Click()
  Sf = 10
  HScroll1.Max = 5000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option3_Click()
  Sf = 5
  HScroll1.Max = 8000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option4_Click()
  Sf = 2
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub

Private Sub Option5_Click()
  Sf = 1
  HScroll1.Max = 10000
  HScroll1.Value = 0
  Plot
End Sub

